import { BaseEntity } from './../../shared';

export class DetailKlaim implements BaseEntity {
    constructor(
        public id?: number,
        public iduser?: string,
        public notrans?: string,
        public bulan_program?: string,
        public no_klaim?: string,
        public cust_code?: string,
        public cust_name?: string,
        public keterangan?: string,
        public nilai_value?: number,
        public nilai_acc?: number,
        public user_acc?: string,
        public tgl_acc?: string,
        public giro_num?: string,
        public giro_date?: string,
        public giro_val?: number,
        public cust_pnpwp?: string,
        public item_code?: string,
        public qtyitem?: number,
        public satuan?: string,
        public no_klaimDist?: string,
        public no_klaimDist1?: string,
        public tgl_klaimDist?: string,
        public bln_perDist?: number,
        public thn_perDist?: string,
        public sltr_num?: string,
        public GIRO_CODE?: string,
        public qtyunit?: number,
        public giro_unit?: number,
        public UserAPPV?: string,
        public UserAPPV2?: string,
        public UserAPPV3?: string,
        public stsAPPV?: string,
        public stsAPPV2?: string,
        public stsAPPV3?: string,
        public ketbns?: string,
    ) {
    }
}
